Module ij
Package ij.plugin

# Class Selection

java.lang.Object
ij.plugin.Selection

All Implemented Interfaces:
  `Measurements`, `PlugIn`

public class Selection extends Object implements PlugIn, Measurements
This plugin implements the commands in the Edit/Selection submenu.

## Field Summary

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`Selection()`

## Method Summary

Modifier and Type
Method
Description
`static Roi`
`lineToArea(Roi roi)`
Converts a line selection into an area selection.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Selection

public Selection()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### lineToArea

public static Roi lineToArea(Roi roi)
Converts a line selection into an area selection.